Loading...
Searching...
No Matches
Opm::UDQ::RequisiteEvaluationObjects Struct Reference

Collection of specific Schedule objects named in a UDQ definition. More...

`#include <UDQEnums.hpp>`

## Public Types

using | NamedObjects = std::set<std::string>
| Collection of named objects–typically wells or groups.
using | EnumeratedObjects = std::map<std::string, std::set<std::size_t>>
| Collection of named and enumerated objects.

## Public Attributes

NamedObjects | wells {}
| Wells named in a UDQ definition.
NamedObjects | groups {}
| Groups named in a UDQ definition.
EnumeratedObjects | msWells {}
| Multi-segmented wells and specific segment numbers named in UDQ definition.
EnumeratedObjects | regions {}
| Specific region sets and region IDs named in UDQ definition.

## Detailed Description

Collection of specific Schedule objects named in a UDQ definition.

## Member Typedef Documentation

## EnumeratedObjects

using Opm::UDQ::RequisiteEvaluationObjects::EnumeratedObjects = std::map<std::string, std::set<std::size_t>>

Collection of named and enumerated objects.

Typically segment numbers pertaining to particular MS wells or specific region IDs and their associate region sets.

## Member Data Documentation

## groups

NamedObjects Opm::UDQ::RequisiteEvaluationObjects::groups {}

Groups named in a UDQ definition.

Individual group names or group name roots.

## wells

NamedObjects Opm::UDQ::RequisiteEvaluationObjects::wells {}

Wells named in a UDQ definition.

Individual well names, well name templates, well lists, or well list templates.

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Schedule/UDQ/UDQEnums.hpp